Package picard.sam.SamErrorMetric

# Enum Class ReadBaseStratification.CycleBin

java.lang.Object
java.lang.Enum<ReadBaseStratification.CycleBin>
picard.sam.SamErrorMetric.ReadBaseStratification.CycleBin

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadBaseStratification.CycleBin>`, `Constable`

Enclosing class:
  `ReadBaseStratification`

public static enum ReadBaseStratification.CycleBin extends Enum<ReadBaseStratification.CycleBin>
An enum designed to hold a binned version of any probability-like number (between 0 and 1) in quintiles

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`QUINTILE_1`
`QUINTILE_2`
`QUINTILE_3`
`QUINTILE_4`
`QUINTILE_5`

## Method Summary

Modifier and Type
Method
Description
`static ReadBaseStratification.CycleBin`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReadBaseStratification.CycleBin[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QUINTILE_1

public static final ReadBaseStratification.CycleBin QUINTILE_1

### QUINTILE_2

public static final ReadBaseStratification.CycleBin QUINTILE_2

### QUINTILE_3

public static final ReadBaseStratification.CycleBin QUINTILE_3

### QUINTILE_4

public static final ReadBaseStratification.CycleBin QUINTILE_4

### QUINTILE_5

public static final ReadBaseStratification.CycleBin QUINTILE_5

## Method Details

### values

public static ReadBaseStratification.CycleBin[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReadBaseStratification.CycleBin valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null